PipeWire: Thread

PipeWire 1.4.2 |

Loading...
Searching...
No Matches
Files | Macros | Functions
Thread
Utilities

functions to manipulate threads More...

## Files
file | thread.h
| `pipewire/thread.h`

## Macros
#define | PW_API_THREAD_IMPL static inline

## Functions
void | pw_thread_utils_set (struct spa_thread_utils *impl)
struct spa_thread_utils * | pw_thread_utils_get (void)
void * | pw_thread_fill_attr (const struct spa_dict *props, void *attr)
PW_API_THREAD_IMPL struct spa_thread * | pw_thread_utils_create (const struct spa_dict *props, void *(*start_routine)(void *), void *arg)
PW_API_THREAD_IMPL int | pw_thread_utils_join (struct spa_thread *thread, void **retval)
PW_API_THREAD_IMPL int | pw_thread_utils_get_rt_range (const struct spa_dict *props, int *min, int *max)
PW_API_THREAD_IMPL int | pw_thread_utils_acquire_rt (struct spa_thread *thread, int priority)
PW_API_THREAD_IMPL int | pw_thread_utils_drop_rt (struct spa_thread *thread)

## Detailed Description

functions to manipulate threads

## Macro Definition Documentation

## ◆ PW_API_THREAD_IMPL

#define PW_API_THREAD_IMPL static inline

## Function Documentation

## ◆ pw_thread_utils_set()

void pw_thread_utils_set | ( | struct spa_thread_utils * | impl | ) |

## ◆ pw_thread_utils_get()

struct spa_thread_utils * pw_thread_utils_get | ( | void |  | ) |

## ◆ pw_thread_fill_attr()

void * pw_thread_fill_attr | ( | const struct spa_dict * | props,
|  | void * | attr )

## ◆ pw_thread_utils_create()

PW_API_THREAD_IMPL struct spa_thread * pw_thread_utils_create | ( | const struct spa_dict * | props,
|  | void *(* | start_routine )(void *),
|  | void * | arg )

## ◆ pw_thread_utils_join()

PW_API_THREAD_IMPL int pw_thread_utils_join | ( | struct spa_thread * | thread,
|  | void ** | retval )

## ◆ pw_thread_utils_get_rt_range()

PW_API_THREAD_IMPL int pw_thread_utils_get_rt_range | ( | const struct spa_dict * | props,
|  | int * | min,
|  | int * | max )

## ◆ pw_thread_utils_acquire_rt()

PW_API_THREAD_IMPL int pw_thread_utils_acquire_rt | ( | struct spa_thread * | thread,
|  | int | priority )

## ◆ pw_thread_utils_drop_rt()

PW_API_THREAD_IMPL int pw_thread_utils_drop_rt | ( | struct spa_thread * | thread | ) |